/* ball.h
**
**    includefile: code for creating the GL-ball display-lists
**    Copyright (C) 2001  Florian Berger
**    Email: harpin_floh@yahoo.de, florian.berger@jk.uni-linz.ac.at
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License Version 2 as
**    published by the Free Software Foundation;
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
*/

#ifndef BALL_H
#define BALL_H

#include"vmath.h"

//typedef double myfloat;

typedef struct {
    int vnr;
    GLfloat *vert;
    GLfloat *norm;
    GLfloat *tex;
    int indnr;
    int *index;
} ElemArray;

//void create_ball_array( float r, int depth, int id );
//void create_ball( float r, int depth, int id );
void draw_globe( char * mapfile, char * map_path );
void draw_dayline(VMvect sunpos, unsigned color );
void draw_grid_marks( int nph, int nth, unsigned color );
void draw_grid( int nph, int nth, unsigned color );
void draw_markers(char * markerfile, int bitmap_mode, unsigned mcol, unsigned lcol);
void draw_time( int nph, int nth );
void myGlWrite( VMvect pos, VMvect bx, VMvect by, int rel, double h, int bitmap, char *str );

#endif  /* BALL_H */
